API reference
Search restrictions
Search and filter restrictions across all documents and parcels.
Search restrictions
GET /v1/search/restrictionsSearch for restriction facts with flexible filtering.
Query parameters
| Parameter | Type | Description |
|---|---|---|
fact_type | string | Filter by restriction type |
county | string | Filter by county |
min_confidence | number | Minimum confidence score (0-1) |
document_id | string | Filter by source document |
hoa_id | string | Filter by HOA entity |
q | string | Full-text search across fact descriptions |
page | integer | Page number |
per_page | integer | Items per page |
Example
curl "https://api.setback.io/v1/search/restrictions?fact_type=rental_restriction&county=Franklin&min_confidence=0.8" \
-H "Authorization: Bearer YOUR_API_KEY"Response
{
"data": [
{
"id": "fact_abc123",
"fact_type": "rental_restriction",
"fact_value": {
"restriction_type": "minimum_lease_term",
"minimum_months": 12
},
"confidence": 0.94,
"source_document_id": "doc_xyz789",
"hoa_name": "Desert Ridge Community Association",
"county": "Franklin"
}
],
"meta": {
"total": 47,
"page": 1,
"per_page": 20
}
}